Get user
curl --request GET \
--url https://api.tandapay.io/api/b2b/users \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tandapay.io/api/b2b/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tandapay.io/api/b2b/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tandapay.io/api/b2b/users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"firstName": "Jane",
"lastName": "Wanjiru",
"email": "jane@merchant.co.ke",
"publicKey": "pk_live_xxxxxxxxxxxxxxxx",
"webhookUrl": "https://merchant.co.ke/webhooks/tanda",
"sandboxWebhookUrl": "https://staging.merchant.co.ke/webhooks/tanda",
"KESWallet": {
"balance": 125000
}
}{
"success": false,
"message": "Unauthorized"
}Account
Get user
Your profile, webhook URLs and KES wallet balance.
GET
/
api
/
b2b
/
users
Get user
curl --request GET \
--url https://api.tandapay.io/api/b2b/users \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tandapay.io/api/b2b/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tandapay.io/api/b2b/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tandapay.io/api/b2b/users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"firstName": "Jane",
"lastName": "Wanjiru",
"email": "jane@merchant.co.ke",
"publicKey": "pk_live_xxxxxxxxxxxxxxxx",
"webhookUrl": "https://merchant.co.ke/webhooks/tanda",
"sandboxWebhookUrl": "https://staging.merchant.co.ke/webhooks/tanda",
"KESWallet": {
"balance": 125000
}
}{
"success": false,
"message": "Unauthorized"
}Authorizations
Token from Generate bearer token.

